Bug 11632 - XFree86 Xserver Denial of Service Vulnerability
XFree86 Xserver Denial of Service Vulnerability
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Mike A. Harris
: Security
Depends On:
  Show dependency treegraph
Reported: 2000-05-24 11:31 EDT by Matthew Miller
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-24 12:27:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2000-05-24 11:31:39 EDT
From bugtraq. http://www.securityfocus.com/vdb/bottom.html?vid=1235

A denial of service exists in XFree86 3.3.5, 3.3.6 and 4.0. A remote user
can send a malformed packet to the TCP listening port, 6000, which will
cause the X server to be unresponsive for some period of time. During this
time, the keyboard will not respond to user input, and in some cases, the
mouse will also not respond. During this time period, the X server will
utilize 100% of the CPU, and can only be repaired by being signaled.
Comment 1 Matthew Miller 2000-05-24 13:42:59 EDT
If it's any help, this appears to be the same issue for which Caldera has
already issued a fix:
Comment 2 Preston Brown 2000-05-24 15:26:59 EDT
we will have a fix available very soon.
Comment 3 Preston Brown 2000-05-30 12:39:59 EDT
errata will be released this week.
Comment 4 Chris Evans 2000-06-27 19:09:26 EDT
Are you sure, Preston? :-)
Comment 5 Chris Evans 2000-07-24 17:35:50 EDT
Sorry to be irritating :-)
Comment 6 Chris Evans 2000-10-16 13:37:44 EDT
I never saw an update?
If one does appear, there are new (and not so new) other X security issues which need looking at;
1) Very recently, an Xlib overflow in UNIX socket name.
See: http://www.securityfocus.com/archive/1/139436

2) Some serious Xlib/misc issues I found a while back.

It is my understanding that all of these are fixed in XFree4.0.1
A backport should be easy. At the time the backport is done, a brief check for _other_
security holes fixed in 4.0.1 but not 3.3.6 might be advisible.
Poor RH6.x users are currently running with known X security holes. The 2 DoS issues
are particularly unpleasant
Comment 7 Mike A. Harris 2001-02-11 09:48:20 EST
A number of security releated items are just checked into the xf-3_3-branch
of xfree86 cvs.  I will be releasing an errata including them before too long.
I am waiting for the remainder of changes to get into cvs first, and also
need to allow time for testing, etc..  Errata will be out likely by the end
of the month.
Comment 8 Mike A. Harris 2001-05-15 05:07:54 EDT
I guess my definition of "before too long" is a bit premature.  There
is a test release at ftp://people.redhat.com/mharris/testing that fixes
all known security issues with XFree86 3.3.6.  This is my soon to be
released errata candidate unless some major bug comes up in the next few

Note You need to log in before you can comment on or make changes to this bug.